[package]
name = "unit-client-rs"
version = "1.35.0"
authors = ["Elijah Zupancic"]
edition = "2021"
license = "Apache-2.0"

[lib]
name = "unit_client_rs"

[features]
# this preserves the ordering of json
default = ["serde_json/preserve_order"]

[dependencies]
custom_error = "1.9"
hyper = { version = "0.14", features = ["stream"] }
hyper-rustls = { version = "0.25.0", features = ["rustls-native-certs", "webpki-roots", "http2"] }
hyperlocal = "0.8"
serde = { version = "1.0", features = ["derive"] }
serde_json = "1.0"
sysinfo = "0.30.5"
tokio = { version = "1.34", features = ["macros"] }
futures = "0.3"
hex = "0.4"
which = "5.0"

unit-openapi = { path = "../unit-openapi" }
rustls = "0.23.5"
bollard = "0.17.1"
regex = "1.10.4"
pbr = "1.1.1"

[dev-dependencies]
rand = "0.8.5"
